CXXFLAGS= -Wall -g -std=c++0x 
OBJECTS=Factory.o maze.o pwnd.o ignoreme.a
EXE=main
all: pwnd.o $(EXE)

$(EXE): $(OBJECTS)
	$(CXX) $(CXXFLAGS) $(OBJECTS) -o $@
test: test.cpp maze.o
dump_maze: dump_maze.cpp maze.o
rtest: test
	./test
Factory.o: Factory.cpp Factory.h
maze.o: maze.cpp maze.h
pwnd.o: pwnd.c

run: main
	./main

clean:
	@rm -vf *.o
	@rm -vf $(EXE)
	@rm -vf *.1
	@rm -vf *.0
	@rm -vf test
	@rm -vf dump_maze
	@rm -rvf *.dSYM

drun: main
	gdb ./main

valgrind: $(EXE)
	valgrind --tool=memcheck --leak-check=yes ./$(EXE)
